<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:fb="http://ogp.me/ns/fb#">
<head>
<meta charset="UTF-8">
<title>Birthdays</title>

<script type="text/javascript" src="lib/d3.v4.js"></script>
<!-- font -->
<link href='https://fonts.googleapis.com/css?family=Arvo:400,700' rel='stylesheet' type='text/css'>
<!-- my css -->
<link rel="stylesheet" type="text/css" href="css/main.css">

</head>




<body> 
<!--div class="container-fluid">


  <div class="slidecontainer"-->

  <table width="90%">
  <tr><td>  <input type="range" min="5" max="120" step="0.1" value="30" class="slider" id="myRange"> </td></tr>
  </table>

  <font size="+3">Current time period: <span id="demo"></span> days</font>
  
  

<table width="100%">
<tr valign="top"><td width="20%">
   <!--div class="title" >Birthdays<br>&nbsp;<br></div-->

<br/>&nbsp;<br/>   
<div><font size="+3">This file: indexBirth.html</font></div>

<br/>&nbsp;<br/>   
<div><font size="+3">Data source: <a href="http://www.dartmouth.edu/~chance/teaching_aids/data.html">http://www.dartmouth.edu/~chance/teaching_aids/data.html</a></font></div>


<br/>&nbsp;<br/>   
<div><font size="+3">Distribution of birthdays in U.S. in 1978: This data gives the distribution of birthdays for births in the U.S. in 1978. It was used by Professor Geoffrey Berresford in his article: "The uniformity assumption in the birthday problem, Math. Mag. 53 1980, no. 5, 286-288."</font></div>

<br/>&nbsp;<br/>
<div><font size="+3">Tips: </font></div>
<div><font size="+3">Search for a peridiocity around 21.3 days</font></div>

<br/>&nbsp;<br/>
  
<div><font size="+3">Mouse hovering: </font></div>
  <table border="1" width="100%"><tr><td>
    <div class="day" >Date = <span></span></div>
    <div class="temp">Value = <span></span></div>
  </td></tr></table>


<br/>&nbsp;<br/>
<br/>&nbsp;<br/>
<br/>&nbsp;<br/>
<div><font size="+3">Demo by: </font></div>
<div><font size="+3">Marco Venturini</font></div>
  

  
</td>






<td width="70%">

    <script>
    var slider = document.getElementById("myRange");
    var output = document.getElementById("demo");
    output.innerHTML = slider.value;
  </script>




<div id="chart" class="col-md-6"></div>
  <script type="text/javascript" src="js/spiral.js"></script>
  <script src="https://d3js.org/d3-scale-chromatic.v1.min.js"></script>
  
  <script type="text/javascript">
    var dataset;
    var color = d3.scaleSequential(d3.interpolateRdYlBu);

     d3.json("data/birthConv.json", function(data) {
       
      var spiral2 = new Spiral('custom-path')
      spiral2.setParam('numberOfPoints', 10);
      spiral2.setParam('period', slider.value);
      spiral2.setParam('svgHeight', 1200);
      spiral2.setParam('svgWidth', 1200);
      spiral2.setParam('spacing', 4);
      spiral2.setParam('lineWidth', 20);
      spiral2.setParam('data', data);
      spiral2.render();

    slider.oninput = function() {
    output.innerHTML = this.value;
    spiral2.setParam('period', slider.value);
    spiral2.redraw();
    }
    

    });
  </script>


  
  </td></tr>
</table>
  
<!--/div>
  </div>
</body-->

</html>